Bug 94567 - [SKL USB Type-C] connecting HDMI crashes kernel i915 (Dell XPS13 9350) Skylake, unable to get HDMI output with resolutions higher than 1440x900
Summary: [SKL USB Type-C] connecting HDMI crashes kernel i915 (Dell XPS13 9350) Skylak...
Status: CLOSED DUPLICATE of bug 93578
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: high critical
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-16 09:57 UTC by Daniel
Modified: 2017-07-24 22:42 UTC (History)
28 users (show)

See Also:
i915 platform: SKL
i915 features: display/HDMI


Attachments
dmesg log from boot with drm.debug=14 (167.75 KB, text/plain)
2016-04-24 14:11 UTC, Daniel
no flags Details
i915_vbt as requested (6.00 KB, text/plain)
2016-04-24 14:11 UTC, Daniel
no flags Details
i915_opregion as requested (8.00 KB, text/plain)
2016-04-24 14:11 UTC, Daniel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel 2016-03-16 09:57:43 UTC
Resolutions higher than 1440x900 don't work, anything lower usually works, although some lower 4:3 resolutions don't work.

Can not get 1920x1080 working, only 1920x1080i will work, anything else above 1440x900 fails, even 1600x1200 not working or 1600x900 not working.

Dell XP13 9350 with Skylake

Kernel: 4.5.0-040500-generic x86_64 (64 bit)
           Distro: Ubuntu 15.10 wily
Machine:   System: Dell product: XPS 13 9350
           Mobo: Dell model: 0VM5NC v: A01 Bios: Dell v: 1.2.3 date: 01/08/2016
CPU:       Dual core Intel Core i7-6500U (-HT-MCP-) speed/max: 490/3100 MHz
Graphics:  Card: Intel Skylake Integrated Graphics
           Display Server: X.Org 1.17.2 drivers: intel (unloaded: fbdev,vesa) Resolution: 1440x900@59.90hz
           GLX Renderer: Mesa DRI Intel Skylake ULT GT2 GLX Version: 3.0 Mesa 11.0.2


dmesg log:
[  608.719410] ------------[ cut here ]------------
[  608.719502] WARNING: CPU: 0 PID: 908 at /home/kernel/COD/linux/drivers/gpu/drm/i915/intel_pm.c:3553 skl_update_other_pipe_wm+0x16c/0x180 [i915]()
[  608.719509] WARN_ON(!wm_changed)
[  608.719514] Modules linked in:
[  608.719520]  rfcomm drbg ansi_cprng bnep snd_hda_codec_hdmi dell_laptop dcdbas i2c_designware_platform dell_wmi i2c_designware_core sparse_keymap dell_led nls_iso8859_1 snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_ext_core snd_soc_sst_match snd_soc_core cdc_ether snd_compress usbnet ac97_bus snd_hda_codec_realtek r8152 snd_hda_codec_generic snd_pcm_dmaengine mii intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel dw_dmac_core kvm snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep irqbypass crct10dif_pclmul crc32_pclmul snd_pcm brcmfmac ghash_clmulni_intel aesni_intel brcmutil snd_seq_midi snd_seq_midi_event aes_x86_64 cfg80211 lrw snd_rawmidi rtsx_pci_ms memstick gf128mul snd_seq glue_helper ablk_helper cryptd snd_seq_device snd_timer uvcvideo input_leds joydev
[  608.719633]  videobuf2_vmalloc videobuf2_memops serio_raw videobuf2_v4l2 videobuf2_core snd videodev hid_multitouch btusb btrtl media soundcore shpchp mei_me idma64 virt_dma mei processor_thermal_device intel_lpss_pci intel_soc_dts_iosf hci_uart btbcm btqca btintel bluetooth int3400_thermal intel_lpss_acpi acpi_thermal_rel intel_lpss acpi_als int3403_thermal int340x_thermal_zone kfifo_buf acpi_pad mac_hid industrialio parport_pc ppdev lp parport autofs4 hid_generic usbhid rtsx_pci_sdmmc i915 psmouse nvme i2c_algo_bit rtsx_pci drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops ahci drm libahci wmi i2c_hid hid pinctrl_sunrisepoint video pinctrl_intel fjes
[  608.719755] CPU: 0 PID: 908 Comm: Xorg Tainted: G     U  W       4.5.0-040500-generic #201603140130
[  608.719760] Hardware name: Dell Inc. XPS 13 9350/0VM5NC, BIOS 1.2.3 01/08/2016
[  608.719766]  0000000000000286 0000000033c25cd0 ffff88046d1239a8 ffffffff813e0233
[  608.719777]  ffff88046d1239f0 ffffffffc027b838 ffff88046d1239e0 ffffffff81080e72
[  608.719785]  ffff880075f2e000 ffff880467789bd4 ffff880075f2d000 ffff880467f5cba8
[  608.719794] Call Trace:
[  608.719810]  [<ffffffff813e0233>] dump_stack+0x63/0x90
[  608.719823]  [<ffffffff81080e72>] warn_slowpath_common+0x82/0xc0
[  608.719832]  [<ffffffff81080f0c>] warn_slowpath_fmt+0x5c/0x80
[  608.719905]  [<ffffffffc01b366c>] skl_update_other_pipe_wm+0x16c/0x180 [i915]
[  608.719968]  [<ffffffffc01b3805>] skl_update_wm+0x185/0x640 [i915]
[  608.720062]  [<ffffffffc023ad00>] ? intel_ddi_post_disable+0x120/0x1e0 [i915]
[  608.720072]  [<ffffffff818213f2>] ? mutex_lock+0x12/0x30
[  608.720161]  [<ffffffffc022a455>] ? intel_fbc_disable_crtc+0x45/0xb0 [i915]
[  608.720222]  [<ffffffffc01b71de>] intel_update_watermarks+0x1e/0x30 [i915]
[  608.720309]  [<ffffffffc021e41c>] intel_atomic_commit+0x3dc/0xb30 [i915]
[  608.720378]  [<ffffffffc00b8761>] ? drm_atomic_check_only+0x181/0x600 [drm]
[  608.720435]  [<ffffffffc00b7f7f>] ? drm_atomic_set_crtc_for_connector+0x2f/0xe0 [drm]
[  608.720487]  [<ffffffffc00b8c17>] drm_atomic_commit+0x37/0x60 [drm]
[  608.720517]  [<ffffffffc0120bb6>] drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
[  608.720569]  [<ffffffffc00b789a>] ? drm_modeset_lock_all_ctx+0x9a/0xb0 [drm]
[  608.720621]  [<ffffffffc00a7c32>] drm_mode_set_config_internal+0x62/0x100 [drm]
[  608.720672]  [<ffffffffc00ac5b0>] drm_mode_setcrtc+0x3e0/0x500 [drm]
[  608.720710]  [<ffffffffc009d812>] drm_ioctl+0x152/0x540 [drm]
[  608.720756]  [<ffffffffc00ac1d0>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
[  608.720771]  [<ffffffff81214707>] ? __vfs_write+0x37/0x120
[  608.720781]  [<ffffffff81228bd1>] do_vfs_ioctl+0xa1/0x5b0
[  608.720789]  [<ffffffff812178e1>] ? __sb_end_write+0x21/0x30
[  608.720799]  [<ffffffff812150ed>] ? vfs_write+0x15d/0x1a0
[  608.720807]  [<ffffffff81229159>] SyS_ioctl+0x79/0x90
[  608.720815]  [<ffffffff8122b2b1>] ? SyS_poll+0x71/0x130
[  608.720826]  [<ffffffff818235f6>] entry_SYSCALL_64_fastpath+0x16/0x75
[  608.720832] ---[ end trace 90a1d475b0fe2a37 ]---
Comment 1 Daniel 2016-03-16 10:00:06 UTC
Also, note, that sometimes even 1440x900 won't work and I can not identify when it does and when it does not.
Comment 2 Daniel 2016-03-21 22:07:59 UTC
Hello,

any developer can comment on this issue and estimated time to resolve this? I have recently tries the drm-intel-next kernel, but the same thing happens.
Comment 3 Alexandru Calinoiu 2016-03-30 07:42:12 UTC
I have the same issue, on a xps 15 9550
Comment 4 Daniel 2016-03-30 09:30:06 UTC
BTW, booting with DA200 adapter using HDMI usually goes to the KDE login and then blackscreen as external monitor output resolution can not be properly set.
Comment 5 Daniel 2016-03-31 09:51:24 UTC
Attaching USB3 drive to the DA200 adapter crashes kernel and disconnects external HDMI output (e.g. monitor switches to blank screen / signal search)
Comment 6 Alexandru Calinoiu 2016-04-01 03:34:30 UTC
For me it works with kernel 4.4.3-1

It does not work with 4.5.0-1 or 4.5.0-2
Comment 7 Daniel 2016-04-11 19:32:56 UTC
I have tried all the kernel in:
kernel.ubuntu.com/~kernel-ppa/mainline/
(including drm-intel)
and none would work with anything above 1440x900 for HDMI.
Comment 8 Daniel 2016-04-18 22:25:31 UTC
Any update?
Still not working with 4.6.0-997-generic #201604121131
Comment 9 Daniel 2016-04-18 22:26:13 UTC
[  188.569962] ------------[ cut here ]------------
[  188.569985] WARNING: CPU: 2 PID: 1054 at /home/kernel/COD/linux/drivers/gpu/drm/i915/intel_pm.c:3647 skl_update_other_pipe_wm+0x16c/0x180 [i915]
[  188.569987] WARN_ON(!wm_changed)
[  188.569988] Modules linked in:
[  188.569989]  rfcomm binfmt_misc bnep snd_hda_codec_hdmi i2c_designware_platform i2c_designware_core snd_soc_skl dell_led snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp dell_wmi dell_laptop snd_hda_ext_core dell_smbios dcdbas snd_soc_sst_match snd_hda_codec_realtek snd_hda_codec_generic nls_iso8859_1 snd_soc_core snd_compress ac97_bus snd_pcm_dmaengine dw_dmac_core snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep brcmfmac intel_rapl x86_pkg_temp_thermal intel_powerclamp brcmutil coretemp snd_pcm kvm_intel cdc_ether usbnet kvm r8152 mii irqbypass crct10dif_pclmul cfg80211 crc32_pclmul ghash_clmulni_intel rtsx_pci_ms aesni_intel memstick aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device input_leds snd_timer joydev snd serio_raw
[  188.570022]  soundcore uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 hid_multitouch videobuf2_core btusb shpchp videodev btrtl media idma64 mei_me virt_dma processor_thermal_device mei intel_soc_dts_iosf intel_lpss_pci intel_pch_thermal hci_uart btbcm btqca btintel bluetooth acpi_als intel_lpss_acpi intel_lpss int3400_thermal kfifo_buf intel_hid acpi_thermal_rel int3403_thermal int340x_thermal_zone sparse_keymap acpi_pad industrialio mac_hid parport_pc ppdev lp parport autofs4 hid_generic usbhid rtsx_pci_sdmmc i915 psmouse i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt nvme fb_sys_fops nvme_core rtsx_pci ahci drm libahci wmi i2c_hid hid pinctrl_sunrisepoint video pinctrl_intel fjes
[  188.570055] CPU: 2 PID: 1054 Comm: Xorg Tainted: G     U  W       4.6.0-997-generic #201604121131
[  188.570057] Hardware name: Dell Inc. XPS 13 9350/0VM5NC, BIOS 1.2.3 01/08/2016
[  188.570058]  0000000000000286 0000000022b70ec0 ffff88046bacf900 ffffffff813eef23
[  188.570061]  ffff88046bacf950 0000000000000000 ffff88046bacf940 ffffffff810827cb
[  188.570063]  00000e3f00000000 ffff880467dee000 ffff88046704a118 ffff880467ded000
[  188.570065] Call Trace:
[  188.570071]  [<ffffffff813eef23>] dump_stack+0x63/0x90
[  188.570074]  [<ffffffff810827cb>] __warn+0xcb/0xf0
[  188.570076]  [<ffffffff8108284f>] warn_slowpath_fmt+0x5f/0x80
[  188.570092]  [<ffffffffc01c3a3c>] skl_update_other_pipe_wm+0x16c/0x180 [i915]
[  188.570106]  [<ffffffffc01c3bd5>] skl_update_wm+0x185/0x670 [i915]
[  188.570128]  [<ffffffffc0252def>] ? intel_ddi_enable_transcoder_func+0x17f/0x260 [i915]
[  188.570142]  [<ffffffffc01c79ce>] intel_update_watermarks+0x1e/0x30 [i915]
[  188.570162]  [<ffffffffc0235bd1>] haswell_crtc_enable+0x761/0x8e0 [i915]
[  188.570182]  [<ffffffffc0231ab7>] intel_atomic_commit+0x5e7/0x14a0 [i915]
[  188.570201]  [<ffffffffc0234063>] ? intel_atomic_check+0x2a3/0x810 [i915]
[  188.570219]  [<ffffffffc00bac21>] ? drm_atomic_check_only+0x181/0x600 [drm]
[  188.570231]  [<ffffffffc00bb0d7>] drm_atomic_commit+0x37/0x60 [drm]
[  188.570239]  [<ffffffffc015bf2a>] drm_atomic_helper_set_config+0x7a/0xb0 [drm_kms_helper]
[  188.570252]  [<ffffffffc00aab42>] drm_mode_set_config_internal+0x62/0x100 [drm]
[  188.570263]  [<ffffffffc00aea90>] drm_mode_setcrtc+0x3e0/0x500 [drm]
[  188.570272]  [<ffffffffc009fab2>] drm_ioctl+0x152/0x540 [drm]
[  188.570283]  [<ffffffffc00ae6b0>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
[  188.570286]  [<ffffffff81233911>] do_vfs_ioctl+0xa1/0x5b0
[  188.570289]  [<ffffffff810906f1>] ? __set_task_blocked+0x41/0xa0
[  188.570291]  [<ffffffff81093076>] ? __set_current_blocked+0x36/0x60
[  188.570293]  [<ffffffff81233e99>] SyS_ioctl+0x79/0x90
[  188.570296]  [<ffffffff8109333e>] ? SyS_rt_sigprocmask+0x8e/0xc0
[  188.570298]  [<ffffffff8183f936>] entry_SYSCALL_64_fastpath+0x1e/0xa8
[  188.570314] ---[ end trace aff0a66820c08a30 ]---
Comment 10 Jani Nikula 2016-04-19 13:19:43 UTC
Please try drm-intel-nightly branch of http://cgit.freedesktop.org/drm-intel and attach dmesg with drm.debug=14 module parameter all the way from boot to the problem.

Please also attach /sys/kernel/debug/dri/0/i915_vbt and i915_opregion.

Does the system actually crash or do you just see a warning backtrace like in comment #0 and comment #9?
Comment 11 Daniel 2016-04-24 12:32:18 UTC
I will do that. In the meantime check this bug:
https://bugs.freedesktop.org/show_bug.cgi?id=93578
I think is closely related.
Comment 12 Daniel 2016-04-24 14:11:02 UTC
Created attachment 123207 [details]
dmesg log from boot with drm.debug=14

using drm-intel nightly kernel 4.6.0-994-generic_4.6.0-994.201604222201_amd64.deb
Comment 13 Daniel 2016-04-24 14:11:29 UTC
Created attachment 123208 [details]
i915_vbt as requested
Comment 14 Daniel 2016-04-24 14:11:50 UTC
Created attachment 123209 [details]
i915_opregion as requested
Comment 15 Daniel 2016-04-24 14:12:41 UTC
tested with the latest intel-drm nightly, requested logs and attachments added

still can not get anything above 1440x900 working for external HDMI using DA200
Comment 16 Alexandru Calinoiu 2016-04-25 09:27:12 UTC
I have a similar issue on a Dell 9550 with dual graphics cards, hdmi used to work on kernel 4.4.

The latest versions of 4.5 and 4.6 freeze the system when on running on X.

When running on Wayland the build in monitor will be black until I move the mouse out of it.
Comment 17 Daniel 2016-04-28 22:11:53 UTC
Was this helpful? Any other logs you need or is it clear what's causing the issue with maximum of 1400x900 resolution for HDMI via USB-C adapter (DA200)?
Comment 18 Daniel 2016-05-31 07:21:41 UTC
Still hapenning with the latest stable 4.6.0-997-generic #201605222202 (intel drm kernel)

[  184.591463] ------------[ cut here ]------------
[  184.591487] WARNING: CPU: 2 PID: 1357 at /home/kernel/COD/linux/drivers/gpu/drm/i915/i915_gem.c:4278 i915_gem_object_do_pin+0x6ab/0xa80 [i915]
[  184.591489] WARN_ON(vma->pin_count == 0xf)
[  184.591490] Modules linked in:
[  184.591491]  rfcomm fuse ecb ecryptfs nvram msr cdc_ether usbnet r8152 mii uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev btusb btrtl media hid_multitouch bnep snd_hda_codec_hdmi binfmt_misc snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_ext_core snd_soc_sst_match intel_rapl i2c_designware_platform dell_laptop dell_led dell_wmi nls_iso8859_1 i2c_designware_core snd_soc_core dell_smbios x86_pkg_temp_thermal dcdbas intel_powerclamp coretemp snd_compress ac97_bus snd_pcm_dmaengine kvm_intel snd_hda_codec_realtek snd_hda_codec_generic dw_dmac_core kvm snd_hda_intel snd_hda_codec snd_hda_core brcmfmac snd_hwdep brcmutil snd_pcm irqbypass cfg80211 crct10dif_pclmul snd_seq_midi rtsx_pci_ms crc32_pclmul snd_seq_midi_event memstick ghash_clmulni_intel
[  184.591517]  snd_rawmidi aesni_intel snd_seq aes_x86_64 snd_seq_device lrw gf128mul snd_timer glue_helper ablk_helper cryptd snd joydev input_leds serio_raw idma64 mei_me shpchp virt_dma soundcore mei intel_lpss_pci hci_uart processor_thermal_device intel_pch_thermal intel_soc_dts_iosf btbcm btqca btintel bluetooth intel_lpss_acpi intel_lpss int3403_thermal int340x_thermal_zone mac_hid acpi_als acpi_pad intel_hid battery int3400_thermal kfifo_buf acpi_thermal_rel sparse_keymap industrialio ac processor parport_pc ppdev lp parport autofs4 hid_generic usbhid rtsx_pci_sdmmc i915 crc32c_intel ahci libahci psmouse i2c_algo_bit drm_kms_helper libata syscopyarea nvme sysfillrect nvme_core rtsx_pci sysimgblt fb_sys_fops xhci_pci scsi_mod drm xhci_hcd usbcore fan intel_gtt agpgart thermal usb_common wmi i2c_hid
[  184.591547]  hid pinctrl_sunrisepoint video pinctrl_intel button fjes
[  184.591551] CPU: 2 PID: 1357 Comm: Xorg Tainted: G     U          4.6.0-997-generic #201605222202
[  184.591552] Hardware name: Dell Inc. XPS 13 9350/0VM5NC, BIOS 1.2.3 01/08/2016
[  184.591554]  0000000000000286 0000000061f16c44 ffff88046997f7f0 ffffffff813d48b3
[  184.591556]  ffff88046997f840 0000000000000000 ffff88046997f830 ffffffff8108138b
[  184.591557]  000010b600000001 0000000000000005 ffff880035a68a60 ffff88046642d680
[  184.591559] Call Trace:
[  184.591564]  [<ffffffff813d48b3>] dump_stack+0x63/0x90
[  184.591566]  [<ffffffff8108138b>] __warn+0xcb/0xf0
[  184.591567]  [<ffffffff8108140a>] warn_slowpath_fmt+0x5a/0x80
[  184.591582]  [<ffffffffc03ac96b>] i915_gem_object_do_pin+0x6ab/0xa80 [i915]
[  184.591585]  [<ffffffff810b71d6>] ? update_curr+0x66/0x180
[  184.591597]  [<ffffffffc03acd9e>] i915_gem_object_ggtt_pin+0x2e/0x40 [i915]
[  184.591608]  [<ffffffffc03ace23>] i915_gem_object_pin_to_display_plane+0x73/0x110 [i915]
[  184.591623]  [<ffffffffc03e83af>] intel_pin_and_fence_fb_obj+0x9f/0x140 [i915]
[  184.591639]  [<ffffffffc03f329f>] intel_prepare_plane_fb+0x10f/0x390 [i915]
[  184.591645]  [<ffffffffc02c8cd3>] drm_atomic_helper_prepare_planes+0x53/0xc0 [drm_kms_helper]
[  184.591661]  [<ffffffffc03e40c5>] intel_atomic_prepare_commit+0x3a5/0x4d0 [i915]
[  184.591675]  [<ffffffffc03f2442>] intel_atomic_commit+0x42/0xce0 [i915]
[  184.591689]  [<ffffffffc01715d8>] ? drm_atomic_check_only+0x188/0x610 [drm]
[  184.591698]  [<ffffffffc0171a97>] drm_atomic_commit+0x37/0x60 [drm]
[  184.591703]  [<ffffffffc02c97dc>] drm_atomic_helper_update_plane+0xec/0x130 [drm_kms_helper]
[  184.591712]  [<ffffffffc0160f09>] __setplane_internal+0x209/0x250 [drm]
[  184.591719]  [<ffffffffc0161074>] drm_mode_cursor_universal+0x124/0x210 [drm]
[  184.591726]  [<ffffffffc01611e1>] drm_mode_cursor_common+0x81/0x180 [drm]
[  184.591735]  [<ffffffffc0165540>] drm_mode_cursor_ioctl+0x50/0x70 [drm]
[  184.591741]  [<ffffffffc01569d3>] drm_ioctl+0x123/0x4b0 [drm]
[  184.591750]  [<ffffffffc01654f0>] ? drm_mode_setcrtc+0x560/0x560 [drm]
[  184.591753]  [<ffffffff812209c7>] ? __vfs_read+0x37/0x100
[  184.591755]  [<ffffffff812209c7>] ? __vfs_read+0x37/0x100
[  184.591757]  [<ffffffff81235cb1>] do_vfs_ioctl+0xa1/0x5b0
[  184.591759]  [<ffffffff8108f271>] ? __set_task_blocked+0x41/0xa0
[  184.591760]  [<ffffffff81091bf6>] ? __set_current_blocked+0x36/0x60
[  184.591762]  [<ffffffff81236239>] SyS_ioctl+0x79/0x90
[  184.591763]  [<ffffffff81091ebe>] ? SyS_rt_sigprocmask+0x8e/0xc0
[  184.591766]  [<ffffffff8171d5b6>] entry_SYSCALL_64_fastpath+0x1e/0xa8
[  184.591767] ---[ end trace c78940fb6d7f3fed ]---
Comment 19 Daniel 2016-06-14 19:46:48 UTC
new kernel tried, same results:
4.7.0-997-generic #201606052201 SMP Mon Jun 6 02:03:40 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux


[   50.561556] ------------[ cut here ]------------
[   50.561570] WARNING: CPU: 0 PID: 1287 at /home/kernel/COD/linux/drivers/gpu/drm/drm_irq.c:1274 drm_wait_one_vblank+0x180/0x1c0 [drm]
[   50.561571] vblank not available on crtc 0, ret=-22
[   50.561572] Modules linked in: rfcomm fuse ecryptfs nvram msr cdc_ether usbnet r8152 mii uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev media btusb btrtl hid_multitouch bnep snd_hda_codec_hdmi binfmt_misc nls_iso8859_1 dell_laptop i2c_designware_platform vfat dell_smbios fat i2c_designware_core snd_soc_skl dcdbas snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_codec_realtek snd_hda_ext_core snd_soc_sst_match snd_hda_codec_generic x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel brcmfmac snd_soc_core snd_compress kvm ac97_bus snd_pcm_dmaengine dw_dmac_core brcmutil rtsx_pci_ms snd_hda_intel irqbypass cfg80211 memstick crct10dif_pclmul snd_hda_codec crc32_pclmul snd_hda_core ghash_clmulni_intel snd_hwdep snd_pcm aesni_intel aes_x86_64 lrw gf128mul
[   50.561635]  glue_helper ablk_helper cryptd snd_seq_midi snd_seq_midi_event snd_rawmidi input_leds snd_seq led_class joydev snd_seq_device serio_raw snd_timer snd idma64 soundcore virt_dma shpchp mei_me mei intel_lpss_pci intel_pch_thermal hci_uart btbcm int3400_thermal btqca btintel intel_lpss_acpi intel_lpss processor_thermal_device intel_hid int3403_thermal bluetooth acpi_thermal_rel battery int340x_thermal_zone intel_soc_dts_iosf sparse_keymap acpi_pad ac mac_hid acpi_als kfifo_buf industrialio parport_pc ppdev lp parport autofs4 hid_generic usbhid rtsx_pci_sdmmc crc32c_intel psmouse i915 i2c_algo_bit ahci drm_kms_helper libahci nvme syscopyarea nvme_core rtsx_pci sysfillrect sysimgblt libata xhci_pci fb_sys_fops xhci_hcd drm scsi_mod usbcore intel_gtt agpgart usb_common thermal fan wmi i2c_hid
[   50.561661]  hid video pinctrl_sunrisepoint pinctrl_intel button fjes
[   50.561665] CPU: 0 PID: 1287 Comm: Xorg Tainted: G     U  W       4.7.0-997-generic #201606052201
[   50.561666] Hardware name: Dell Inc. XPS 13 9350/0VM5NC, BIOS 1.2.3 01/08/2016
[   50.561667]  0000000000000286 00000000a59cd765 ffff88046cd73990 ffffffff813c8a83
[   50.561669]  ffff88046cd739e0 0000000000000000 ffff88046cd739d0 ffffffff8108089b
[   50.561670]  000004fa6b1f2f00 ffff880467340000 0000000000000000 ffff88046794c800
[   50.561672] Call Trace:
[   50.561676]  [<ffffffff813c8a83>] dump_stack+0x63/0x90
[   50.561678]  [<ffffffff8108089b>] __warn+0xcb/0xf0
[   50.561679]  [<ffffffff8108091a>] warn_slowpath_fmt+0x5a/0x80
[   50.561686]  [<ffffffffc0184969>] ? drm_vblank_get+0x79/0xd0 [drm]
[   50.561692]  [<ffffffffc0185cb0>] drm_wait_one_vblank+0x180/0x1c0 [drm]
[   50.561711]  [<ffffffffc03a71f0>] ? chv_write64+0x3c0/0x3c0 [i915]
[   50.561724]  [<ffffffffc03a71f0>] ? chv_write64+0x3c0/0x3c0 [i915]
[   50.561733]  [<ffffffffc0357998>] skl_update_wm+0x3e8/0x550 [i915]
[   50.561743]  [<ffffffffc035e19e>] intel_update_watermarks+0x1e/0x30 [i915]
[   50.561757]  [<ffffffffc03cabc6>] haswell_crtc_enable+0x776/0x8e0 [i915]
[   50.561771]  [<ffffffffc03c70e2>] intel_atomic_commit+0x5f2/0x14e0 [i915]
[   50.561781]  [<ffffffffc019ee17>] drm_atomic_commit+0x37/0x60 [drm]
[   50.561787]  [<ffffffffc02f13c1>] drm_atomic_helper_set_config+0x81/0xc0 [drm_kms_helper]
[   50.561795]  [<ffffffffc018ca9e>] ? drm_crtc_check_viewport+0x3e/0xc0 [drm]
[   50.561802]  [<ffffffffc018da05>] drm_mode_set_config_internal+0x65/0x110 [drm]
[   50.561810]  [<ffffffffc01923b8>] drm_mode_setcrtc+0x448/0x560 [drm]
[   50.561816]  [<ffffffffc0183983>] drm_ioctl+0x123/0x4b0 [drm]
[   50.561823]  [<ffffffffc0191f70>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
[   50.561826]  [<ffffffff812379e1>] do_vfs_ioctl+0xa1/0x5b0
[   50.561827]  [<ffffffff8108e6c1>] ? __set_task_blocked+0x41/0xa0
[   50.561829]  [<ffffffff81091046>] ? __set_current_blocked+0x36/0x60
[   50.561831]  [<ffffffff81237f69>] SyS_ioctl+0x79/0x90
[   50.561832]  [<ffffffff8109130e>] ? SyS_rt_sigprocmask+0x8e/0xc0
[   50.561835]  [<ffffffff81719df6>] entry_SYSCALL_64_fastpath+0x1e/0xa8
[   50.561836] ---[ end trace 41edc8fe45a53e51 ]---
[   66.978806] NOHZ: local_softirq_pending 08
[   85.261748] NOHZ: local_softirq_pending 08
Comment 20 Jani Nikula 2016-06-16 07:31:15 UTC
Please reopen if the problem persists with drm-intel-nightly.

*** This bug has been marked as a duplicate of bug 89055 ***
Comment 21 Daniel 2016-07-01 23:36:46 UTC
Still no change - tested with the nightly (Jun 28th)
4.7.0-994-generic #201606272202 SMP Tue Jun 28 02:04:24 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

[34839.613474] ------------[ cut here ]------------
[34839.613500] WARNING: CPU: 1 PID: 958 at /home/kernel/COD/linux/drivers/gpu/drm/drm_irq.c:1218 drm_wait_one_vblank+0x16f/0x1b0 [drm]
[34839.613503] vblank not available on crtc 0, ret=-22
[34839.613504] Modules linked in: sd_mod cdc_ether usbnet r8152 mii rfcomm fuse ecb ecryptfs cbc encrypted_keys sg snd_hda_codec_hdmi btusb btrtl uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev media hid_multitouch bnep binfmt_misc x86_pkg_temp_thermal intel_powerclamp i2c_designware_platform i2c_designware_core nvram msr coretemp snd_hda_codec_realtek snd_hda_codec_generic nls_utf8 nls_cp437 vfat kvm_intel snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_ext_core snd_soc_sst_match snd_soc_core snd_compress dw_dmac_core snd_hda_intel kvm snd_hda_codec snd_hda_core snd_hwdep irqbypass crct10dif_pclmul crc32_pclmul snd_pcm ghash_clmulni_intel snd_seq_midi snd_seq_midi_event hmac snd_rawmidi drbg dcdbas snd_seq fat ansi_cprng snd_seq_device snd_timer
[34839.613555]  aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd snd joydev efi_pstore intel_cstate intel_rapl serio_raw efivars soundcore brcmfmac rtsx_pci_ms brcmutil cfg80211 memstick shpchp mei_me mei idma64 virt_dma intel_lpss_pci intel_pch_thermal battery hci_uart btbcm btqca btintel bluetooth rfkill intel_lpss_acpi intel_lpss evdev int3403_thermal processor_thermal_device int3400_thermal int340x_thermal_zone ac intel_soc_dts_iosf acpi_thermal_rel acpi_pad tpm_tis tpm acpi_als kfifo_buf industrialio parport_pc ppdev lp parport efivarfs autofs4 ext4 crc16 jbd2 mbcache sr_mod cdrom hid_generic usbhid uas usb_storage rtsx_pci_sdmmc mmc_core crc32c_intel i915 psmouse rtsx_pci mfd_core ahci libahci nvme i2c_algo_bit libata nvme_core drm_kms_helper scsi_mod xhci_pci xhci_hcd drm usbcore
[34839.613643]  usb_common fan thermal wmi i2c_hid hid video button fjes
[34839.613665] CPU: 1 PID: 958 Comm: Xorg Tainted: G     U          4.7.0-994-generic #201606272202
[34839.613668] Hardware name: Dell Inc. XPS 13 9350/0VM5NC, BIOS 1.2.3 01/08/2016
[34839.613671]  0000000000000286 000000001f7395a4 ffffffff81320fe5 ffff8804635ef9b8
[34839.613676]  0000000000000000 ffffffff81078a6e ffff880467400000 ffff8804635efa10
[34839.613681]  ffff88046dd4a800 ffff8804674003c8 0000000000000000 ffff880467400000
[34839.613686] Call Trace:
[34839.613695]  [<ffffffff81320fe5>] ? dump_stack+0x5c/0x77
[34839.613701]  [<ffffffff81078a6e>] ? __warn+0xbe/0xe0
[34839.613714]  [<ffffffff81078aef>] ? warn_slowpath_fmt+0x5f/0x80
[34839.613744]  [<ffffffffc0104fb3>] ? drm_vblank_get+0x73/0xc0 [drm]
[34839.613770]  [<ffffffffc010588f>] ? drm_wait_one_vblank+0x16f/0x1b0 [drm]
[34839.613813]  [<ffffffffc0361850>] ? hsw_write32+0x10/0x10 [i915]
[34839.613860]  [<ffffffffc0361850>] ? hsw_write32+0x10/0x10 [i915]
[34839.613893]  [<ffffffffc0317ecd>] ? skl_update_wm+0x3ed/0x560 [i915]
[34839.613928]  [<ffffffffc0389309>] ? haswell_crtc_enable+0x7d9/0x950 [i915]
[34839.613961]  [<ffffffffc0385932>] ? intel_atomic_commit_tail+0x8d2/0x10e0 [i915]
[34839.613993]  [<ffffffffc038d536>] ? intel_prepare_plane_fb+0x146/0x280 [i915]
[34839.614024]  [<ffffffffc0386595>] ? intel_atomic_commit+0x455/0x580 [i915]
[34839.614046]  [<ffffffffc011d4f2>] ? drm_atomic_set_crtc_for_connector+0x92/0xf0 [drm]
[34839.614057]  [<ffffffffc01f5769>] ? drm_atomic_helper_set_config+0x79/0xb0 [drm_kms_helper]
[34839.614075]  [<ffffffffc010c391>] ? drm_mode_set_config_internal+0x61/0x110 [drm]
[34839.614092]  [<ffffffffc0110685>] ? drm_mode_setcrtc+0x445/0x540 [drm]
[34839.614106]  [<ffffffffc01038d1>] ? drm_ioctl+0x131/0x4c0 [drm]
[34839.614125]  [<ffffffffc0110240>] ? drm_crtc_check_viewport+0xc0/0xc0 [drm]
[34839.614130]  [<ffffffff81209a1d>] ? do_vfs_ioctl+0x9d/0x5c0
[34839.614135]  [<ffffffff81084ae7>] ? recalc_sigpending+0x17/0x50
[34839.614138]  [<ffffffff810858bd>] ? __set_task_blocked+0x3d/0x90
[34839.614141]  [<ffffffff81209fb4>] ? SyS_ioctl+0x74/0x80
[34839.614146]  [<ffffffff810882fb>] ? SyS_rt_sigprocmask+0x8b/0xc0
[34839.614151]  [<ffffffff815e98b6>] ? entry_SYSCALL_64_fastpath+0x1e/0xa8
[34839.614165] ---[ end trace 7299fbbcc8281ff1 ]---
Comment 22 Daniel 2016-07-18 15:39:26 UTC
any update on this? still happening and it seems that no changes has been done for months to the critical code that is affected by this bug.
Comment 23 Daniel 2016-07-18 18:54:14 UTC
latest nightly
4.7.0-994-generic #201607152202 SMP Sat Jul 16 02:04:20 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

same old, same old:


CPU: 2 PID: 932 Comm: Xorg Tainted: G     U          4.7.0-994-generic #201607152202
[   30.731935] Hardware name: Dell Inc. XPS 13 9350/0VM5NC, BIOS 1.4.4 06/14/2016
[   30.731936]  0000000000200286 00000000b0468fed ffffffff813212c5 ffff88046918b9d8
[   30.731938]  0000000000000000 ffffffff81078a3e ffff8804651d0000 ffff88046918ba30
[   30.731939]  ffff88046b074c00 ffff8804651d03d8 0000000000000000 ffff88046bd81000
[   30.731941] Call Trace:
[   30.731944]  [<ffffffff813212c5>] ? dump_stack+0x5c/0x77
[   30.731947]  [<ffffffff81078a3e>] ? __warn+0xbe/0xe0
[   30.731949]  [<ffffffff81078abf>] ? warn_slowpath_fmt+0x5f/0x80
[   30.731956]  [<ffffffffc00a8363>] ? drm_vblank_get+0x73/0xc0 [drm]
[   30.731964]  [<ffffffffc00a85af>] ? drm_wait_one_vblank+0x16f/0x1b0 [drm]
[   30.731983]  [<ffffffffc0351350>] ? gen9_write16+0x3c0/0x3c0 [i915]
[   30.731996]  [<ffffffffc0351350>] ? gen9_write16+0x3c0/0x3c0 [i915]
[   30.732005]  [<ffffffffc0304b7f>] ? skl_update_wm+0x3cf/0x550 [i915]
[   30.732019]  [<ffffffffc03734a7>] ? haswell_crtc_enable+0x797/0x860 [i915]
[   30.732033]  [<ffffffffc036f507>] ? intel_atomic_commit_tail+0x877/0x1090 [i915]
[   30.732046]  [<ffffffffc0377e06>] ? intel_prepare_plane_fb+0x146/0x280 [i915]
[   30.732059]  [<ffffffffc0370158>] ? intel_atomic_commit+0x438/0x560 [i915]
[   30.732069]  [<ffffffffc00c0ba2>] ? drm_atomic_set_crtc_for_connector+0x92/0xf0 [drm]
[   30.732075]  [<ffffffffc012f6e9>] ? drm_atomic_helper_set_config+0x79/0xb0 [drm_kms_helper]
[   30.732082]  [<ffffffffc00af501>] ? drm_mode_set_config_internal+0x61/0x110 [drm]
[   30.732090]  [<ffffffffc00b3f55>] ? drm_mode_setcrtc+0x445/0x540 [drm]
[   30.732096]  [<ffffffffc00a6a40>] ? drm_ioctl+0x290/0x430 [drm]
[   30.732103]  [<ffffffffc00b3b10>] ? drm_mode_setplane+0x1c0/0x1c0 [drm]
[   30.732106]  [<ffffffff81209bed>] ? do_vfs_ioctl+0x9d/0x5c0
[   30.732107]  [<ffffffff81084ab7>] ? recalc_sigpending+0x17/0x50
[   30.732109]  [<ffffffff8108588d>] ? __set_task_blocked+0x3d/0x90
[   30.732110]  [<ffffffff8120a184>] ? SyS_ioctl+0x74/0x80
[   30.732112]  [<ffffffff810882cb>] ? SyS_rt_sigprocmask+0x8b/0xc0
[   30.732115]  [<ffffffff815ebb36>] ? entry_SYSCALL_64_fastpath+0x1e/0xa8
[   30.732116] ---[ end trace 78016e599128cca1 ]---
Comment 24 Daniel 2016-07-26 19:31:45 UTC
cha ching?
Comment 25 Daniel 2016-09-03 17:57:05 UTC
I see that not much work on this issue is done.

Currently with 
Linux 4.8.0-994-generic #201609022202 SMP Sat Sep 3 02:04:48 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

after trying to switch to 1920x1080 (or anything above 1440x900) this is written to dmesg and external monitor will switch itself off (standby) as it does not seem to get any signal (so nothing changed, just the crash is not there anymore with this latest kernel version):
[   41.502598] NOHZ: local_softirq_pending 08
[   57.739578] NOHZ: local_softirq_pending 08
[   68.541898] NOHZ: local_softirq_pending 08
[   79.743725] NOHZ: local_softirq_pending 08
[   93.563244] NOHZ: local_softirq_pending 08
[  124.973345] NOHZ: local_softirq_pending 08
[  151.925375] NOHZ: local_softirq_pending 08
[  159.411949] NOHZ: local_softirq_pending 08
[  197.562356] NOHZ: local_softirq_pending 08
[  213.696364] NOHZ: local_softirq_pending 08
Comment 26 Daniel 2016-09-07 21:54:24 UTC
Question is, why even bother reporting critical bugs such as this, when no developers care.
Comment 27 Jani Nikula 2016-09-08 08:00:25 UTC
We still do not have proper usb type-c alternate mode support. Sorry.
Comment 28 Bruce Cartland 2016-09-08 12:13:03 UTC
Using Tumbleweed and a Dell P2715Q monitor, I had the HDMI issue as reported by the OP using the DA200 adapter even though it worked with Windows 10. Switching to a comsol adapter fixed it (http://www.comsol.com.au/Products-by-Category/USB-Type-C-Cables-Adapters/UC-HDUC-AD). 

Now I have crash using Displayport (https://bugs.freedesktop.org/show_bug.cgi?id=93578).
Comment 29 Dimitrios Liappis 2016-10-06 09:23:29 UTC
I am using the DA200 Dell 4-in-1 adapter with a Dell XPS9350.

On Ubuntu Xenial 16.04 LTS using kernels 4.6.6, 4.7.x and 4.8.0 (from: http://kernel.ubuntu.com/~kernel-ppa/mainline/) I couldn't manage to get HDMI output to any screen. VGA and the rest on this adapter work fine.

I resorted to the stock Xenial kernel (as of writing this) 4.4.0-38-generic and I was able to get HDMI working on a 1680x1050@60Hz panel that I have here. Haven't had the chance to test it with something with higher res yet.

I should also note that I have manually installed the skl_guc_ver6_1 i915 firmware.

I also tested the FC24 live image (uses 4.5.5 kernel IIRC) and that worked out of the box too.

Seeing Jani's earlier answer that there is no proper usb type-c alternate mode support yet, I am not sure exactly what's going on and why some older kernels seem to work.
Comment 30 Rien Heuver 2016-10-15 20:35:49 UTC
Is there any expected time this bug will be fixed? It's been around a while now, a rather serious issue in my eyes but still no fix.
Comment 31 Siraj Ali 2017-01-10 01:14:40 UTC
Still nothing?? Seriously?
Comment 32 Mads 2017-01-19 08:21:48 UTC
Anyway, isn't this bug report a dupe of https://bugs.freedesktop.org/show_bug.cgi?id=93578 ?
Comment 33 Daniel 2017-01-19 08:31:07 UTC
Seems to be similar, although it starts with description of freezing. I have identified no freezing, juts the kernel crashes and unable to get higher resolutions that aforementioned 1440x900.

However, after multitude of comments in the bug #93578 it seems to be basically the same issue.
Comment 34 instantcrush 2017-02-09 15:11:42 UTC
Hi all, I have type c to displayport convertor and I have no problem with it. However, today I bought "http://www.swapp.com.tr/swapp/dosyalar/urun/82/112.jpg?m=1476287505" this product and connected my converter to s-link's type c port but I can't get any output on my monitor. How can I solve this problem?
Comment 35 Jani Nikula 2017-02-09 15:21:32 UTC
(In reply to instantcrush from comment #34)
> Hi all, I have type c to displayport convertor and I have no problem with
> it. However, today I bought
> "http://www.swapp.com.tr/swapp/dosyalar/urun/82/112.jpg?m=1476287505" this
> product and connected my converter to s-link's type c port but I can't get
> any output on my monitor. How can I solve this problem?

Do you have the exact same symptoms with that as other reporters on this bug?
Comment 36 instantcrush 2017-02-09 15:25:26 UTC
I haven't tried HDMI connection because of its problems. Therefore, I bought a monitor which has displayport. When I connect the monitor with type c to displayport connector, it works perfectly. However when I hub's type c port with my connector it does not work. For information, hub has type c 2.0. Can it be the reason of no output?
Comment 37 Jani Nikula 2017-02-14 13:57:16 UTC
(In reply to instantcrush from comment #36)
> I haven't tried HDMI connection because of its problems. Therefore, I bought
> a monitor which has displayport. When I connect the monitor with type c to
> displayport connector, it works perfectly. However when I hub's type c port
> with my connector it does not work. For information, hub has type c 2.0. Can
> it be the reason of no output?

Please do not add more than one problem to one bug report. This is not a discussion forum.
Comment 38 Roberto C. Sánchez 2017-03-21 14:39:01 UTC
I have a Dell XPS13 9350 that I am using with a DA200 adapter.  I am running Debian Stretch with Linux kernel 4.9 (planned for release in April/May 2017).  I have the version 1.26 SKL DMC firmware installed and continually experienced the "no HDMI output" problem described here and elsewhere.

After reading here how some had seen success with lower resolutions I decided to experiment with the settings to see if I could get it to work.  I was able to get 1920x1080 resolution out of the DA200 as long as I chose resolution "1920x1080i" (it has to be the one with 'i' at the end) and the refresh rate has to be "30 Hz (NTSC)".  The monitor on which I tried this is a 23" LG Flatron E3250V.

If I can provide any additional information that would help in resolving this bug, please let me know.
Comment 39 Jani Nikula 2017-03-21 14:48:09 UTC
Is anyone actually experiencing a kernel oops because of this? (WARNING does not count.) Black screen and oopses should be separate bugs.
Comment 40 Roberto C. Sánchez 2017-03-21 14:56:06 UTC
I also just checked two televisions that I have (an old Sylvania 32" and a newish Samsung 32").  Neither television allowed me to adjust the refresh rate the same way my LG monitor did.  The Sylvania did not allow me to select 1920x1080i at all (it was not present in the drop down list).  The Samsung had a 1920x1080i mode listed, but it would not allow me to adjust the refresh rate.
Comment 42 Michał Gawron 2017-04-01 17:13:23 UTC
I've tried the patch with 4.10.5 kernel on Dell XPS 9350 with DA-200 hub and I can confirm 1920x1080@60hz resolution works now.
Comment 43 Marko 2017-04-02 06:42:43 UTC
Patch works on Dell XPS 13 9360 with kernel 4.10.8, I can now run 1920x1080@60Hz through my Dell DA200.
Comment 44 Jani Nikula 2017-04-03 17:55:14 UTC
I'm going to resolve this as a duplicate of the DA200 bug 93578. I fear there may be conflated issues in this bug, but if there are, they may be impossible to disentangle anyway. Please, if you still experience issues running drm-tip branch of https://cgit.freedesktop.org/drm/drm-tip, file new bugs. The fix in drm-tip is

commit 9a86cda07af2c63649932f0a4fc757701ef54c42
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Mon Mar 27 14:33:25 2017 +0300

    drm/i915/dp: reduce link M/N parameters

and replaces the patch referenced in comment #41. Thanks for the report, and updates.

*** This bug has been marked as a duplicate of bug 93578 ***
Comment 45 Daniel 2017-05-01 20:27:51 UTC
I can confirm 1920x1080 works for me fine with this intel-drm kernel:
Linux 4.11.0-997-generic #201704182244 SMP
Comment 46 Daniel 2017-05-09 22:47:54 UTC
ACPI problems occur after update though:

[27452.850519] pci_bus 0000:39: [bus 39] partially hidden behind bridge 0000:02 [bus 02-05]
[27457.153484] usb 3-1: USB disconnect, device number 2
[27457.153488] usb 3-1.1: USB disconnect, device number 3
[27457.153490] usb 3-1.1.1: USB disconnect, device number 5
[27457.164849] r8152 4-1.4:1.0 enx00249b17d68f: Stop submitting intr, status -71
[27457.226175] usb 4-1: USB disconnect, device number 2
[27457.226180] usb 4-1.4: USB disconnect, device number 15
[27457.254815] xhci_hcd 0000:39:00.0: remove, state 1
[27457.254823] usb usb4: USB disconnect, device number 1
[27457.289936] usb 3-1.1.2: USB disconnect, device number 6
[27457.570499] usb 3-1.3: USB disconnect, device number 4
[27458.009856] [drm:intel_fbc_work_fn [i915]] *ERROR* vblank not available for FBC on pipe A
[27458.077818] pcieport 0000:02:00.0: Refused to change power state, currently in D3
[27462.399573] ACPI Error: [SPRT] Namespace lookup failure, AE_ALREADY_EXISTS (20170119/dswload2-330)
[27462.399592] ACPI Exception: AE_ALREADY_EXISTS, During name lookup/catalog (20170119/psobject-227)
[27462.399600] ACPI Error: Method parse/execution failed [\_GPE._E42] (Node ffff9e31ee0e0780), AE_ALREADY_EXISTS (20170119/psparse-543)
[27462.399615] ACPI Error: Method parse/execution failed [\_GPE._E42] (Node ffff9e31ee0e0780), AE_ALREADY_EXISTS (20170119/psparse-543)
[27462.399634] ACPI Exception: AE_ALREADY_EXISTS, while evaluating GPE method [_E42] (20170119/evgpe-646)
[27485.424089] [drm:intel_fbc_work_fn [i915]] *ERROR* vblank not available for FBC on pipe A
[27489.797009] ACPI Error: [SPRT] Namespace lookup failure, AE_ALREADY_EXISTS (20170119/dswload2-330)
[27489.797021] ACPI Exception: AE_ALREADY_EXISTS, During name lookup/catalog (20170119/psobject-227)
[27489.797027] ACPI Error: Method parse/execution failed [\_GPE._E42] (Node ffff9e31ee0e0780), AE_ALREADY_EXISTS (20170119/psparse-543)
[27489.797037] ACPI Error: Method parse/execution failed [\_GPE._E42] (Node ffff9e31ee0e0780), AE_ALREADY_EXISTS (20170119/psparse-543)
[27489.797045] ACPI Exception: AE_ALREADY_EXISTS, while evaluating GPE method [_E42] (20170119/evgpe-646)
[27515.168958] [drm] Atomic update on pipe (A) took 165 us, max time under evasion is 100 us


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.